/display/v2/assets/{assetId}
GET
https://<pcm-domain>/display/v2/assets/{assetId}
Path Parameters
- assetIdstring<uuid>requiredFormatuuid
Responses
200
- Asset
- idstring<uuid>Formatuuid
- cdnUrlstring
- typestring<IMAGE | HTML_IMAGE_LINK | HTML_VIDEO_LINK>AllowedIMAGEHTML_IMAGE_LINKHTML_VIDEO_LINK
- heightinteger<int32>Formatint32
- widthinteger<int32>Formatint32
- fileNamestring
- fileSizeinteger<int64>Formatint64
- scanStatusstring
- contentTypestring
- linkstring
- createdAtstring<date-time>Formatdate-time
- modifiedAtstring<date-time>Formatdate-time
401
403
404
- MessageResponse
- messagesMessage[]
- textstring
- levelstring<ERROR | WARNING>AllowedERRORWARNING
curl
curl --request GET \
--url https://<pcm-domain>/display/v2/assets/{assetId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://<pcm-domain>/display/v2/assets/{assetId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://<pcm-domain>/display/v2/assets/{assetId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://<pcm-domain>/display/v2/assets/{assetId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "",
"cdnUrl": "",
"type": "",
"height": "",
"width": "",
"fileName": "",
"fileSize": "",
"scanStatus": "",
"contentType": "",
"link": "",
"createdAt": "",
"modifiedAt": ""
}401
// Unauthorized
403
// Forbidden
404
// Not Found
{
"messages": [
{
"text": "",
"level": ""
}
]
}